Newest wii games dont work

Discussion in 'Wii - Hacking' started by Portugal, Aug 28, 2012.

Aug 28, 2012

Newest wii games dont work by Portugal at 1:16 PM (2,156 Views / 0 Likes) 22 replies

  1. Portugal
    OP

    Newcomer Portugal Member

    Joined:
    Sep 8, 2009
    Messages:
    13
    Country:
    Portugal
    Hello!
    I have my wii hacked, and I use a SD Card to play downloaded wii games.
    The oldest games, like paper mario, works great, but the newest ones, like mario sports mix, dont works...
    It gives me a error when I launch the game, it says me to remove and put the disk again...

    Im not really good giving information, so if anyone can help me and need more info, just say me!
    Thanks!
     


  2. chapilopez

    Newcomer chapilopez Newbie

    Joined:
    Sep 13, 2011
    Messages:
    2
    Country:
    Guatemala
    Try updating your loader to the latest version, the one I use is USB Loader GX.
     
  3. Portugal
    OP

    Newcomer Portugal Member

    Joined:
    Sep 8, 2009
    Messages:
    13
    Country:
    Portugal
    Chapi, I use NeoGamma, because I only know this one to play games via SD.
    I will update it, thanks!

    Edit: I have the newest version! :\
     
  4. Pong20302000

    Member Pong20302000 making notes on everything

    Joined:
    Sep 8, 2009
    Messages:
    8,076
    Location:
    One's inner self
    Country:
    Japan
    you need to update you d2x-cios

    http://code.google.com/p/d2x-cios/downloads/list
     
  5. Portugal
    OP

    Newcomer Portugal Member

    Joined:
    Sep 8, 2009
    Messages:
    13
    Country:
    Portugal
    I will update it!
    Edit: Im noob at it... How I install it? :\
     
  6. Pong20302000

    Member Pong20302000 making notes on everything

    Joined:
    Sep 8, 2009
    Messages:
    8,076
    Location:
    One's inner self
    Country:
    Japan
    wad installer
    the beta's you might have to compile, just use latest stable v8

    you can download precompiled through modmii
     
  7. Portugal
    OP

    Newcomer Portugal Member

    Joined:
    Sep 8, 2009
    Messages:
    13
    Country:
    Portugal
    I think I get it, going to try!
    Thanks :)
     
  8. chapilopez

    Newcomer chapilopez Newbie

    Joined:
    Sep 13, 2011
    Messages:
    2
    Country:
    Guatemala
  9. Cyan

    Global Moderator Cyan GBATemp's lurking knight

    Joined:
    Oct 27, 2002
    Messages:
    16,433
    Location:
    Engine room, learning
    Country:
    France
    USBLoaderGX doesn't launch Wii games from SD.

    If you want to try other loaders, you can take a look at Config Loader or Wiiflow.
     
  10. Portugal
    OP

    Newcomer Portugal Member

    Joined:
    Sep 8, 2009
    Messages:
    13
    Country:
    Portugal
    Eh, Im still getting the same error!
    Theres what I get by trying to launch Wii Sports Resort:
    In NeoGamma the game crashes at loading screen, when it says "Init drive..."
    And in Usb Loader 1.4(Launch games from sd too) it gives me Error #002...
     
  11. Cyan

    Global Moderator Cyan GBATemp's lurking knight

    Joined:
    Oct 27, 2002
    Messages:
    16,433
    Location:
    Engine room, learning
    Country:
    France
    which "USB loader 1.4" ?

    there's uLoader, neogamma, Cfg loader and wiiflow which works on SD card.
    so I suppose it's not USB Loader GX.

    the error 2 need:
    - old cIOS
    or
    - new cIOS + new Loader

    prefer the newer cIOS (d2x) and new loader, as they are always improving and fixing bug, bypassing protections, etc.
    Error2 is a protection from nintendo, you need to update both your loader version and the cIOS.
     
  12. Portugal
    OP

    Newcomer Portugal Member

    Joined:
    Sep 8, 2009
    Messages:
    13
    Country:
    Portugal
    Ok, Im going to try a new launcher, this time WiiFlow.
    But I updated to d2x-cios, so I think its updates, right?
    If it isnt, can you give me the download file to update?
    Thanks so much for your help!
     
  13. Cyan

    Global Moderator Cyan GBATemp's lurking knight

    Joined:
    Oct 27, 2002
    Messages:
    16,433
    Location:
    Engine room, learning
    Country:
    France
    If you already installed d2x it's fine, no need to replace them.
    You need to use the correct base IOS.

    If you downloaded through modmii and installed the wad with a wadmanager, then it's fine.
    If you install them manually with the d2x Installer homebrew, you need this:
    Slot249: D2x version 8, base 56, ver 21008
    Slot250: D2x version 8, base 57, ver 21008
     
  14. Portugal
    OP

    Newcomer Portugal Member

    Joined:
    Sep 8, 2009
    Messages:
    13
    Country:
    Portugal
    I installed it manually, I will install it then!
     
  15. Cyan

    Global Moderator Cyan GBATemp's lurking knight

    Joined:
    Oct 27, 2002
    Messages:
    16,433
    Location:
    Engine room, learning
    Country:
    France
    You used the d2x installer then?
    you found it and understood how to use it?

    you followed this tutorial and installed the correct IOS base in slot 249 and 250?

    Then know just put an USB Loader on your SD card and launch it from the Homebrew channel.
    Default settings are usually fine for all games (old and new).
     
  16. Portugal
    OP

    Newcomer Portugal Member

    Joined:
    Sep 8, 2009
    Messages:
    13
    Country:
    Portugal
    I used the installer on homebrew channel, I think I did it right...
    Only a thing, to use uLoader I need CIOS 222 or 223, where can I get it?
    Sorry for wasting your time! :\
    Also, I dont found:
    Slot249: D2x version 8, base 56, ver 21008
    Slot250: D2x version 8, base 57, ver 21008
     
  17. Cyan

    Global Moderator Cyan GBATemp's lurking knight

    Joined:
    Oct 27, 2002
    Messages:
    16,433
    Location:
    Engine room, learning
    Country:
    France
    uloader is VERY old, don't use it ;)
    I included it as it's one compatible with SD card, but you shouldn't use it if you don't understand what you are doing.

    Try neogamma with the new d2x you installed.
    It should work.


    What do you mean by "you didn't find slot249 and 250" ?
    it's the settings you need to select manually when using the installer on the homebrew channel.
    If you "did it right" like you said, then you should understand what this means:
    Slot249: D2x version 8 (or v9 r49), base 56, ver 21008
    Slot250: D2x version 8 (or v9 r49), base 57, ver 21008

    If you don't understand what it means, then I suppose you didn't install the cIOS correctly.
     
  18. Portugal
    OP

    Newcomer Portugal Member

    Joined:
    Sep 8, 2009
    Messages:
    13
    Country:
    Portugal
    Eh, do you have Skype? Its faster you to help me.
    And I tried NeoGamma, it crashes when its loading "Init Drive"
     
  19. Portugal
    OP

    Newcomer Portugal Member

    Joined:
    Sep 8, 2009
    Messages:
    13
    Country:
    Portugal
    Also, I just tried Fifa 12, a recent game, on NeoGamma, and its working perfectly...
    Maybe theres something wrong with Wii Sports Resort, let me try with other games that dont worked before!


     
  20. Cyan

    Global Moderator Cyan GBATemp's lurking knight

    Joined:
    Oct 27, 2002
    Messages:
    16,433
    Location:
    Engine room, learning
    Country:
    France
    download d2x installer
    download d2x v8

    Extract the installer on your SD card (sd:/apps/d2x-installer/boot.dol)
    Extract the d2x v8 on your SD card, in the same folder: sd:/apps/d2x-installer/
    replace the folder and files already present (v7) with the file from v8

    put SD card on Wii
    Go to homebrew channel
    launch the loader
    Select IOS236 (if you have it?) when asked which IOS you want to use

    Then you see the main screen with option to select what you want to install.

    Press left/right to change the option, up/down to change the line.


    What: d2x v8
    Where: 249
    Base: 56
    version: 21008

    Press A, and A again to confirm the install.
    It will download the files and install them.

    When finished, press A again, and you come back to the main page.

    What: d2x v8
    where: 250
    base: 57
    version: 21008

    Press A and install it.

    After install, press B to exit.

    Done :)


    If this is what you did, then you did it right.
     

Share This Page